//==============================================================================//
//=                           AutoCAD UTILITES                                 =//
//==============================================================================//
//=  File        : Rough.DCL                                                   =//
//=  Description :   " "                   =//
//=  Version     : 4.1 for AutoCAD 14-15 for Windows                           =//
//=  Author      :                                            =//
//=  Date        : 20  2001                                             =//
//==============================================================================//
//=                                                                            =//
//==============================================================================//

dcl_settings : default_dcl_settings { audit_level = 3; }

Rough : dialog {
    label = " ";
    key = "dcl_RG";
    initial_focus = "imgb_RG_T0";
  : row {
  key = "RM1";
    : column {
        key = "C1";
        : boxed_row {
            label = " ";
            key = "BC1";
            mnemonic = "";
            : image_button {
                key = "imgb_RG_T0";
                color = graphics_background;
                action = "act_imgb_RG_T0";
                width = 7;
                fixed_width = true;
                height = 3;
                fixed_height = true;
                is_tab_stop = false;
            }
            : image_button {
                key = "imgb_RG_T1";
                color = graphics_background;
                action = "act_imgb_RG_T1";
                width = 7;
                fixed_width = true;
                height = 3;
                fixed_height = true;
                is_tab_stop = false;
            }
            : image_button {
                key = "imgb_RG_T2";
                color = graphics_background;
                action = "act_imgb_RG_T2";
                width = 7;
                fixed_width = true;
                height = 3;
                fixed_height = true;
                is_tab_stop = false;
            }
            : image_button {
                key = "imgb_RG_T3";
                color = graphics_background;
                action = "act_imgb_RG_T3";
                width = 7;
                fixed_width = true;
                height = 3;
                fixed_height = true;
                is_tab_stop = false;
            }
            : column {
            key = "C_RG_T3";
            width = 5;
            fixed_width = true;
            height = 2;
            fixed_height = true;
            is_enabled = false;
                : text {
                    key = "lbl_RG_T3";
                    label = ".";
                    width = 5;
                    fixed_width = true;
                }
                : edit_box {
                    label = "";
                    key = "txt_RG_Pos";
                    //mnemonic = "";
                    edit_width = 5;
                    edit_limit = 5;
                    action = "act_txt_RG_Pos";
                    width = 5;
                    fixed_width = true;
                }
            }
            : image_button {
                key = "imgb_RG_T4";
                color = graphics_background;
                action = "act_imgb_RG_T4";
                width = 9;
                fixed_width = true;
                height = 3;
                fixed_height = true;
                is_tab_stop = false;
            }
        }
        : toggle {
            label = "   ";
            key = "chk_RG_Sdb";
            mnemonic = "";
            width = 5;
            fixed_width = true;
            height = 1;
        }
        : boxed_column {
            label = " ";
            key = "BC2";
            mnemonic = "";
            width = 25;
            fixed_width = true;
        : row {
            key = "RG_ParT";
            : radio_row {
                key = "RR1";
                : radio_button {
                    label = "Ra";
                    value = "1";
                    key = "opt_RA";
                    mnemonic = "R";
                    action = "act_RGParType";
                }
                : radio_button {
                    label = "Rz";
                    value = "0";
                    key = "opt_RZ";
                    mnemonic = "z";
                    action = "act_RGParType";
                }
            }
            : spacer {
                key = "S1";
                width = 5;
                fixed_width = true;
                height = 1;
            }
        }
        : row {
        key = "R_Val_LBL";
        width = 25;
        fixed_width = true;
            : spacer {
                key = "s_Val_LBL1";
                width = 18;
                fixed_width = true;
                height = 1;
            }
            : text {
                key = "lbl_CLS";
                label = "";
            }
            : text {
                key = "lbl_Row";
                label = "";
            }
            : spacer {
                key = "s_Val_LBL3";
                width = 4;
                fixed_width = true;
                height = 1;
            }
            : text {
                key = "lbl_Val";
                label = "";
                width = 8;
                fixed_width = true;
            }
        }
        : row {
        key = "R_Val1";
        width = 25;
        fixed_width = true;
            : popup_list {
                label = " :";
                key = "pls_RG_CLS1";
                mnemonic = "";
                list = " \n1\n2\n3\n4\n5\n6\n7\n8\n9\n10\n11\n12\n13\n14";
                action = "act_pls_RG_CLS1";
                edit_width = 4;
                action = "act_RGCLS";
                width = 4;
                fixed_width = true;
            }
            : popup_list {
                label = "";
                key = "pls_RG_R1";
                mnemonic = "";
                list = "1 \n2 \n3 \n4 ";
                action = "act_pls_RG_R1";
                edit_width = 7;
                action = "act_RG_R1";
                width = 7;
                fixed_width = true;
            }
            : spacer {
                key = "s_Val_LBL4";
                width = 2;
                fixed_width = true;
                height = 1;
            }
            : popup_list {
                label = "";
                key = "pls_RG_V1";
                mnemonic = "";
                list = "50\n25\n12,5\n6,3\n3,2\n1,6\n0,80\n0,4\n0,2\n0,1\n0,050\n0,025\n0,012";
                edit_width = 7;
                action = "act_pls_RG_V1";
                width = 8;
                fixed_width = true;
            }
        }
        : row {
        key = "R_Val2";
        width = 25;
        fixed_width = true;
            : popup_list {
                label = "  :";
                key = "pls_RG_CLS2";
                mnemonic = "";
                list = " \n1\n2\n3\n4\n5\n6\n7\n8\n9\n10\n11\n12\n13\n14";
                action = "act_pls_RG_CLS2";
                edit_width = 4;
                action = "act_RGCLS";
                width = 4;
                fixed_width = true;
            }
            : popup_list {
                label = "";
                key = "pls_RG_R2";
                mnemonic = "";
                list = "1 \n2 \n3 \n4 ";
                action = "act_pls_RG_R2";
                edit_width = 7;
                action = "act_RG_R2";
                width = 7;
                fixed_width = true;
            }
            : spacer {
                key = "s_Val_LBL5";
                width = 2;
                fixed_width = true;
                height = 1;
            }
            : popup_list {
                label = "";
                key = "pls_RG_V2";
                mnemonic = "";
                list = " \n50\n25\n12,5\n6,3\n3,2\n1,6\n0,80\n0,4\n0,2\n0,1\n0,050\n0,025\n0,012";
                edit_width = 7;
                action = "act_pls_RG_V2";
                width = 8;
                fixed_width = true;
            }
        }
        : row {
        key = "R_RG_T";
        width = 30;
            : popup_list {
                label = " :   ";
                key = "pls_RG_T";
                mnemonic = "";
                list = " \n\n\n\n\n\n\n\n";
                edit_width = 15;
                action = "act_pls_RG_T";
                width = 20;
                fixed_width = true;
            }
            : edit_box {
                label = "";
                key = "txt_RG_T";
                //mnemonic = "";
                //edit_width = 6;
                //edit_limit = 6;
                action = "act_txt_RG_T";
                width = 14;
                fixed_width = true;
            }
        }
        : row {
        key = "R_RG_BL";
        width = 25;
        fixed_width = true;
            : edit_box {
                label = " :  ";
                key = "txt_RG_BL1";
                mnemonic = "";
                edit_width = 6;
                edit_limit = 6;
                action = "act_txt_RG_BL1";
                width = 6;
                fixed_width = true;
            }
            : edit_box {
                label = "";
                key = "txt_RG_BL2";
                //mnemonic = "";
                edit_width = 6;
                edit_limit = 6;
                action = "act_txt_RG_BL1";
                width = 6;
                fixed_width = true;
            }
        }
    }
  }
  : column {
      key = "C8";

      : boxed_column {
          label = "";
          key = "BR3";
          width = 5;
          fixed_width = true;
         // mnemonic = "";
          : column {
          key = "C7";
          : column {
          key = "C3";
              alignment = centered;
              : row {
              key = "R4";

                  : column {
                  key = "C5";
                      : image_button {
                      key = "img_RG_N1";
                          color = graphics_background;
                          action = "act_img_RG_N1";
                          width = 8;
                          fixed_width = true;
                          height = 3;
                          fixed_height = true;
                          is_tab_stop = false;
                      }
                      : image_button {
                          key = "img_RG_N2";
                          color = graphics_background;
                          action = "act_img_RG_N2";
                          width = 8;
                          fixed_width = true;
                          height = 3;
                          fixed_height = true;
                          is_tab_stop = false;
                      }
                      : image_button {
                          key = "img_RG_N3";
                          color = graphics_background;
                          action = "act_img_RG_N3";
                          width = 8;
                          fixed_width = true;
                          height = 3;
                          fixed_height = true;
                          is_tab_stop = false;
                      }
                  } 

                   : column {
                   key = "C6";
                       : image_button {
                           key = "img_RG_N4";
                           color = graphics_background;
                           action = "act_img_RG_N4";
                           width = 8;
                           fixed_width = true;
                           height = 3;
                           fixed_height = true;
                           is_tab_stop = false;
                       }
                       : image_button {
                           key = "img_RG_N5";
                           color = graphics_background;
                           action = "act_img_RG_N5";
                           width = 8;
                           fixed_width = true;
                           height = 3;
                           fixed_height = true;
                           is_tab_stop = false;
                       }
                       : image_button {
                           key = "img_RG_N6";
                           color = graphics_background;
                           action = "act_img_RG_N6";
                           width = 8;
                           fixed_width = true;
                           height = 3;
                           fixed_height = true;
                           is_tab_stop = false;
                       }
                   }
               }
               : row {
               key = "R11";
                       : image {
                           key = "img_RG_N";
                           color = graphics_background;
                           alignment = centered;
                           width = 17;
                           fixed_width = true;
                           height = 7;
                           fixed_height = true;
                           is_tab_stop = false;
                       }
               }
            }
        }
    }
   }
  }
  : toggle {
      label = "     ";
         key = "chk_RG_Edit";
         mnemonic = "";
         width = 5;
         fixed_width = true;
         height = 1;
  }
    ok_cancel_err;
}



dcl_RGErr : dialog {
    label = "!!!";
    key = "dcl_RGErr";
    : column {
            key = "C_RGErr";
            //width = 1;
            : text {
                key = "lbl_GGErr1";
                label = "    .";
            }
            : text {
                key = "lbl_GGErr2";
                label = "   ,        Scale Dimension";
            }
            : text {
                key = "lbl_GGErr3";
                label = "to Layout (Paper  Space), ..   DIMSCALE  0,    ";
            }
            : text {
                key = "lbl_GGErr4";
                label = " ,    .      -";
            }
            : text {
                key = "lbl_GGErr5";
                label = "     .";
            }
            : text {
                key = "lbl_GGErr6";
                label = " ";
            }
            : text {
                key = "lbl_GGErr7";
                label = "        :";
            }
            : text {
                key = "lbl_GGErr8";
                label = "   1.       .";
            }
            : text {
                key = "lbl_GGErr9";
                label = "   2.    ,        -";
            }
            : text {
                key = "lbl_GGErr10";
                label = "                  .  ";
            }
            : text {
                key = "lbl_GGErr11";
                label = "               ";
            }
            : text {
                key = "lbl_GGErr12";
                label = "          .";
            }
            : text {
                key = "lbl_GGErr13";
                label = "   3.   Scale Dimension to Layout (Paper Space)    -";
            }
            : text {
                key = "lbl_GGErr14";
                label = "              0  (   -";
            }
            : text {
                key = "lbl_GGErr15";
                label = "         DIMSCALE     0),        ";
            }
            : text {
                key = "lbl_GGErr16";
                label = "      .";
            }
    } // end of column	
    ok_only;
}