//==============================================================================//
//=                           AutoCAD UTILITES                                 =//
//==============================================================================//
//=  File        : ViewDis.DCL                                                 =//
//=  Description :                    =//
//=  Version     : 1.01                                                        =//
//=  Author      :                                            =//
//=  Date        : 12  2000                                             =//
//==============================================================================//
//=                                                                            =//
//==============================================================================//

dcl_settings : default_dcl_settings { audit_level = 3; }

ViewDis : dialog {
    label = " ";
    key = "Dcl_Name";
    initial_focus = "txt_VD";
    : row {
        key = "R1";
        
        : column {
            key = "C11";
            : image {
                key = "img_VD";
                color = graphics_background;
                width = 22;
                height = 8;
                alignment = centered;
            }
            : spacer {
                key = "j";
                width = 22;
                height = 3;
            }
        }
        : column {
            key = "C1";
            : edit_box {
                label = "";
                key = "txt_VD";
                mnemonic = "";
                edit_width = 4;
                edit_limit = 3;
                width = 13;
            }
            : toggle {
                label = " ";
                key = "chk_DO";
                mnemonic = "";
                width = 5;
                fixed_width = true;
                height = 1;
            }
            : boxed_radio_column {
                key = "BRC1";
                width = 11;
                : radio_button {
                    label = "";
                    key = "opt_Rot";
                    mnemonic = "";
                    is_enabled = false;
                }
                : radio_button {
                    label = "";
                    key = "opt_Unroll";
                    mnemonic = "";
                    is_enabled = false;
                }
            }
            : toggle {
                label = " ";
                key = "chk_M";
                mnemonic = "";
            }
            : row {
                key = "R2";
                : edit_box {
                    label = "M";
                    key = "txt_M1";
                    mnemonic = "M";
                    edit_width = 5;
                    edit_limit = 5;
                    is_enabled = false;
                    alignment = centered;
                }
                : edit_box {
                    label = "";
                    key = "txt_M2";
                    mnemonic = "";
                    edit_width = 5;
                    edit_limit = 5;
                    is_enabled = false;
                }
            }
        }
    }
    ok_cancel_err;
}


SlitDis : dialog {
    label = " ";
    key = "Dcl_Name";
    initial_focus = "txt_VD";
    : row {
        key = "R1";
        
        : column {
            key = "C11";
            : image {
                key = "img_VD";
                color = graphics_background;
                width = 22;
                height = 8;
                alignment = centered;
            }
            : spacer {
                key = "j";
                width = 22;
                height = 3;
            }
        }
        : column {
            key = "C1";
            : edit_box {
                label = "";
                key = "txt_VD";
                mnemonic = "";
                edit_width = 4;
                edit_limit = 3;
                width = 13;
            }
            : toggle {
                label = " ";
                key = "chk_DO";
                mnemonic = "";
                width = 5;
                fixed_width = true;
                height = 1;
            }
            : boxed_radio_column {
                key = "BRC1";
                width = 11;
                : radio_button {
                    label = "";
                    key = "opt_Rot";
                    mnemonic = "";
                    is_enabled = false;
                }
                : radio_button {
                    label = "";
                    key = "opt_Unroll";
                    mnemonic = "";
                    is_enabled = false;
                }
            }
            : toggle {
                label = " ";
                key = "chk_M";
                mnemonic = "";
            }
            : row {
                key = "R2";
                : edit_box {
                    label = "M";
                    key = "txt_M1";
                    mnemonic = "M";
                    edit_width = 5;
                    edit_limit = 5;
                    is_enabled = false;
                    alignment = centered;
                }
                : edit_box {
                    label = "";
                    key = "txt_M2";
                    mnemonic = "";
                    edit_width = 5;
                    edit_limit = 5;
                    is_enabled = false;
                }
            }
        }
    }
    ok_cancel_err;
}
